#ifndef TIMER_FORM_H
#define TIMER_FORM_H

#include <QWidget>
#include <QCloseEvent>
#include <math.h>
#include <QMessageBox>

#include "public_parameter.h"

namespace Ui {
    class Timer_Form;
}

class Timer_Form : public QWidget
{
    Q_OBJECT

public:
    explicit Timer_Form(QWidget *parent = 0, Qt::WindowFlags fl = 0 );
    ~Timer_Form();
    // sub fuction:
    void timer_read();

public:
    bool is_fomr_started;
    int Timer_timer;

protected:
      void timerEvent ( QTimerEvent *event);
      void closeEvent ( QCloseEvent *event );
      void showEvent ( QShowEvent * );

private slots:
      void on_SetTimer_pushButton_clicked();

      void on_StartTimer_pushButton_clicked();

      void on_StopTimer_pushButton_clicked();


private:
    Ui::Timer_Form *ui;
//    QLineEdit *PwmPeriod_lineEdit[2];
//    QLineEdit *PwmDuty_lineEdit[2];
//    QLabel *PwmPeriodHz_label[2];
//    QLabel *PwmDutyHz_label[2];
//    QPushButton *TcControl_pushButton[2];
//    QComboBox *TcMode_comboBox[2];
//    QComboBox *TiMode_comboBox[2];
//    QComboBox *ToMode_comboBox[2];
//    QComboBox *Retrigger_comboBox[2];

//    QLineEdit *PresetValue_lineEdit[2];
//    QLabel *CurrentCounterValue_label[2];
//    QLineEdit *PulseWidth_lineEdit[2];

//    QPushButton *TimerSet_pushButton[2];
//    QPushButton *CounterSet_pushButton[2];
//    QPushButton *PwmSet_pushButton[2];
//    QPushButton *SwDec_pushButton[2];
};

#endif // TIMER_FORM_H
